Bug 967198 - [abrt] system-config-printer-libs-1.3.12-8.fc18: _XAllocID: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] system-config-printer-libs-1.3.12-8.fc18: _XAllocID: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXrender (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:fec7b9151169a0587f64b2ce817...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 08:11 EDT by fx105548d
Modified: 2014-06-18 05:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:32:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (111.35 KB, text/plain)
2013-05-25 08:11 EDT, fx105548d
no flags Details
File: cgroup (130 bytes, text/plain)
2013-05-25 08:12 EDT, fx105548d
no flags Details
File: dso_list (19.98 KB, text/plain)
2013-05-25 08:12 EDT, fx105548d
no flags Details
File: environ (813 bytes, text/plain)
2013-05-25 08:12 EDT, fx105548d
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-25 08:12 EDT, fx105548d
no flags Details
File: maps (60.22 KB, text/plain)
2013-05-25 08:12 EDT, fx105548d
no flags Details
File: open_fds (581 bytes, text/plain)
2013-05-25 08:12 EDT, fx105548d
no flags Details
File: proc_pid_status (797 bytes, text/plain)
2013-05-25 08:12 EDT, fx105548d
no flags Details

  None (edit)
Description fx105548d 2013-05-25 08:11:52 EDT
Version-Release number of selected component:
system-config-printer-libs-1.3.12-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
core_backtrace: 
crash_function: _XAllocID
executable:     /usr/bin/python2.7
kernel:         3.9.2-200.fc18.i686
uid:            1000
ureports_counter: 1
var_log_messages: May 25 13:07:28 localhost abrt[2576]: Saved core dump of pid 1679 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-05-25-13:07:27-1679 (58490880 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _XAllocID at xcb_io.c:528
 #6 XRenderCreateCursor at Cursor.c:44
 #7 XcursorImageLoadCursor at cursor.c:590
 #8 XcursorImagesLoadCursors at cursor.c:686
 #9 XcursorImagesLoadCursor at cursor.c:705
 #10 XcursorLibraryLoadCursor at library.c:337
 #11 XcursorShapeLoadCursor at library.c:507
 #12 _gdk_x11_cursor_update_theme at gdkcursor-x11.c:588
 #13 update_cursor at gdkcursor-x11.c:609
 #14 g_slist_foreach at gslist.c:894
Comment 1 fx105548d 2013-05-25 08:11:57 EDT
Created attachment 753015 [details]
File: backtrace
Comment 2 fx105548d 2013-05-25 08:12:01 EDT
Created attachment 753016 [details]
File: cgroup
Comment 3 fx105548d 2013-05-25 08:12:05 EDT
Created attachment 753017 [details]
File: dso_list
Comment 4 fx105548d 2013-05-25 08:12:10 EDT
Created attachment 753018 [details]
File: environ
Comment 5 fx105548d 2013-05-25 08:12:13 EDT
Created attachment 753019 [details]
File: limits
Comment 6 fx105548d 2013-05-25 08:12:17 EDT
Created attachment 753020 [details]
File: maps
Comment 7 fx105548d 2013-05-25 08:12:21 EDT
Created attachment 753021 [details]
File: open_fds
Comment 8 fx105548d 2013-05-25 08:12:24 EDT
Created attachment 753022 [details]
File: proc_pid_status
Comment 9 Tim Waugh 2013-06-03 10:05:25 EDT
No clue what could cause this assertion failure in libXcursor/libXrender.
Comment 10 Fedora End Of Life 2013-12-21 08:43:02 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:32:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.